Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class ExtendedDataElementImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.ExtendedDataElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, IExtendedDataElement, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class ExtendedDataElementImpl
extends java.lang.Object
implements IExtendedDataElement, java.io.Serializable, java.lang.Cloneable

This is the class that embodies the Extended Data Element as described in "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1"

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite, Jason Cornpropst
See Also:
  `IExtendedDataElement`, Serialized Form

Field Summary

Fields inherited from interface org.eclipse.hyades.logging.events.IExtendedDataElement
`TYPE_BOOLEAN, TYPE_BOOLEAN_ARRAY, TYPE_BOOLEAN_ARRAY_VALUE, TYPE_BOOLEAN_VALUE, TYPE_BYTE, TYPE_BYTE_ARRAY, TYPE_BYTE_ARRAY_VALUE, TYPE_BYTE_VALUE, TYPE_DATE_TIME, TYPE_DATE_TIME_ARRAY, TYPE_DATE_TIME_ARRAY_VALUE, TYPE_DATE_TIME_VALUE, TYPE_DOUBLE, TYPE_DOUBLE_ARRAY, TYPE_DOUBLE_ARRAY_VALUE, TYPE_DOUBLE_VALUE, TYPE_FLOAT, TYPE_FLOAT_ARRAY, TYPE_FLOAT_ARRAY_VALUE, TYPE_FLOAT_VALUE, TYPE_HEX_BINARY, TYPE_HEX_BINARY_VALUE, TYPE_INT, TYPE_INT_ARRAY, TYPE_INT_ARRAY_VALUE, TYPE_INT_VALUE, TYPE_LONG, TYPE_LONG_ARRAY, TYPE_LONG_ARRAY_VALUE, TYPE_LONG_VALUE, TYPE_NO_VALUE, TYPE_NO_VALUE_VALUE, TYPE_SHORT, TYPE_SHORT_ARRAY, TYPE_SHORT_ARRAY_VALUE, TYPE_SHORT_VALUE, TYPE_STRING, TYPE_STRING_ARRAY, TYPE_STRING_ARRAY_VALUE, TYPE_STRING_VALUE`

Constructor Summary
`protected` | `ExtendedDataElementImpl()` Deprecated.

Method Summary
`IExtendedDataElement` | `addChild(java.lang.String name)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, int type, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, int type, java.lang.String[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, java.lang.String[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`void` | `addChildDataElement(IExtendedDataElement element)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithBooleanArrayValue(java.lang.String name, boolean[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithBooleanValue(java.lang.String name, boolean value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithByteArrayValue(java.lang.String name, byte[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithByteValue(java.lang.String name, byte value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDateAsLongValue(java.lang.String name, long value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDatesAsLongValue(java.lang.String name, long[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDateValue(java.lang.String name, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDoubleArrayValue(java.lang.String name, double[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDoubleValue(java.lang.String name, double value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithFloatArrayValue(java.lang.String name, float[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithFloatValue(java.lang.String name, float value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithHexValue(java.lang.String name, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithHexValueAsByteArray(java.lang.String name, byte[] value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithIntArrayValue(java.lang.String name, int[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithIntValue(java.lang.String name, int value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithLongArrayValue(java.lang.String name, long[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithLongValue(java.lang.String name, long value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithShortArrayValue(java.lang.String name, short[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithShortValue(java.lang.String name, short value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`void` | `clearChildDataElements()` Deprecated. Removes all IExtendedDataElements from the child data elements table.
`void` | `clearValues()` Deprecated. Use the init() as of 1.0.1.
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different objects are equal.
`boolean` | `getBoolean()` Deprecated. Get the boolean value for this extended data element.
`boolean[]` | `getBooleanArray()` Deprecated. Get the boolean value for this extended data element.
`byte` | `getByte()` Deprecated. Get the byte value for this extended data element.
`byte[]` | `getByteArray()` Deprecated. Get the byte value for this extended data element.
`IExtendedDataElement` | `getChildDataElement(java.lang.String name)` Deprecated. Gets a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`java.util.List` | `getChildDataElements()` Deprecated. Returns the child data elements Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`java.lang.String` | `getDateTime()` Deprecated. Get the dateTime value for this extended data element.
`java.lang.String[]` | `getDateTimeArray()` Deprecated. Get the dateTime[] value for this extended data element.
`long[]` | `getDateTimeArrayAsLong()` Deprecated. Get the dateTime[] value as a long[] holding UTC millisecondsfor this extended data element.
`long` | `getDateTimeAsLong()` Deprecated. Get the dateTime value as a long holding UTC millisecondsfor this extended data element.
`double` | `getDouble()` Deprecated. Get the double value for this extended data element.
`double[]` | `getDoubleArray()` Deprecated. Get the double[] value for this extended data element.
`float` | `getFloat()` Deprecated. Get the float value for this extended data element.
`float[]` | `getFloatArray()` Deprecated. Get the float[] value for this extended data element.
`byte[]` | `getHexBinary()` Deprecated. Get the hexBinary value for this extended data element.
`char[]` | `getHexBinarys()` Deprecated. Get the hexBinary value for this extended data element.
`byte[]` | `getHexValue()` Deprecated. The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above.
`char[]` | `getHexValues()` Deprecated. The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above.
`java.lang.String` | `getId()` Deprecated. Gets the id.
`int` | `getInt()` Deprecated. Get the int value for this extended data element.
`int[]` | `getIntArray()` Deprecated. Get the int[] value for this extended data element.
`long` | `getLong()` Deprecated. Get the long value for this extended data element.
`long[]` | `getLongArray()` Deprecated. Get the long[] value for this extended data element.
`java.lang.String` | `getName()` Deprecated. Returns the name.
`short` | `getShort()` Deprecated. Get the short value for this extended data element.
`short[]` | `getShortArray()` Deprecated. Get the short[] value for this extended data element.
`java.lang.String` | `getString()` Deprecated. Get the string value for this extended data element.
`java.lang.String[]` | `getStringArray()` Deprecated. Get the string[] value for this extended data element.
`java.lang.String` | `getType()` Deprecated. Returns the type.
`int` | `getTypeValue()` Deprecated. Returns the type as one of the enumerated type values defined in IExtendedDataElement.
`java.util.List` | `getValues()` Deprecated. The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.
`java.lang.String[]` | `getValuesAsStringArray()` Deprecated. The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `removeChildDataElement(java.lang.String name)` Deprecated. Removes a IExtendedDataElement from the child data elements table.
`void` | `setBoolean(boolean value)` Deprecated. Set the boolean value for this extended data element.
`void` | `setBooleanArray(boolean[] values)` Deprecated. Set the boolean[] value for this extended data element.
`void` | `setByte(byte value)` Deprecated. Set the byte value for this extended data element.
`void` | `setByteArray(byte[] values)` Deprecated. Set the byte[] value for this extended data element.
`void` | `setDateTime(long value)` Deprecated. Set the long value for this extended data element.
`void` | `setDateTime(java.lang.String value)` Deprecated. Set the dateTime value for this extended data element.
`void` | `setDateTimeArray(long[] values)` Deprecated. Set the long[] value for this extended data element.
`void` | `setDateTimeArray(java.lang.String[] values)` Deprecated. Set the dateTime value for this extended data element.
`void` | `setDouble(double value)` Deprecated. Set the double value for this extended data element.
`void` | `setDoubleArray(double[] values)` Deprecated. Set the double[] value for this extended data element.
`void` | `setFloat(float value)` Deprecated. Set the float value for this extended data element.
`void` | `setFloatArray(float[] values)` Deprecated. Set the float[] value for this extended data element.
`void` | `setHexBinary(byte[] values)` Deprecated. Set the hexBinary value for this extended data element.
`void` | `setHexBinarys(char[] values)` Deprecated. Set the hexBinary value for this extended data element.
`void` | `setHexValue(byte[] hexValue)` Deprecated. The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above.
`void` | `setHexValues(char[] hexValues)` Deprecated. The hexValue is an array of characters that holds the data for any other data type or complexType not in the supported types described above.
`void` | `setId(java.lang.String id)` Deprecated. Sets the id.
`void` | `setInt(int value)` Deprecated. Set the int value for this extended data element.
`void` | `setIntArray(int[] values)` Deprecated. Set the int[] value for this extended data element.
`void` | `setLong(long value)` Deprecated. Set the long value for this extended data element.
`void` | `setLongArray(long[] values)` Deprecated. Set the long[] value for this extended data element.
`void` | `setName(java.lang.String name)` Deprecated. Sets the name.
`void` | `setShort(short value)` Deprecated. Set the short value for this extended data element.
`void` | `setShortArray(short[] values)` Deprecated. Set the short[] value for this extended data element.
`void` | `setString(java.lang.String value)` Deprecated. Set the string value for this extended data element.
`void` | `setStringArray(java.lang.String[] values)` Deprecated. Set the String[] value for this extended data element.
`void` | `setType(int type)` Deprecated. Sets the type.
`void` | `setType(java.lang.String type)` Deprecated. Sets the type.
`void` | `setValues(java.lang.String[] values)` Deprecated. Sets the value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedDataElementImpl

    protected ExtendedDataElementImpl()

  Deprecated.

Method Detail

### addChildDataElement

    public void addChildDataElement(IExtendedDataElement element)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildDataElement` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildDataElement(IExtendedDataElement)`

### getChildDataElement

    public IExtendedDataElement getChildDataElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Gets a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `getChildDataElement` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.getChildDataElement(java.lang.String)`

### getChildDataElements

    public java.util.List getChildDataElements()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Returns the child data elements Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `getChildDataElements` in interface `IExtendedDataElement`
  Returns:
    List of Child Data Elements, otherwise an empty list.
  See Also:
    `IExtendedDataElement.getChildDataElements()`

### removeChildDataElement

    public void removeChildDataElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Removes a IExtendedDataElement from the child data elements table.

  Specified by:
    `removeChildDataElement` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.removeChildDataElement(String)`

### clearChildDataElements

    public void clearChildDataElements()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Removes all IExtendedDataElements from the child data elements table.

  Specified by:
    `clearChildDataElements` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.clearChildDataElements()`

### getValues

    public java.util.List getValues()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Specified by:
    `getValues` in interface `IExtendedDataElement`
  Returns:
    List
  See Also:
    `IExtendedDataElement.getValues()`

### getValuesAsStringArray

    public java.lang.String[] getValuesAsStringArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Specified by:
    `getValuesAsStringArray` in interface `IExtendedDataElement`
  Returns:
    String[]
  See Also:
    `IExtendedDataElement.getValuesAsStringArray()`

### getId

    public java.lang.String getId()

  Deprecated. Not required for CBE 1.0.1.

  Description copied from interface: `IExtendedDataElement`
  Gets the id. The primary identifier for the element. This property MUST be globally unique. The recommend value for this is either a 128 bit or 256 bit Globally Unique Id (represented as hex string). Once this value is set it MUST never be changed. This is an OPTIONAL property.

  Specified by:
    `getId` in interface `IExtendedDataElement`
  Returns:
    The id
  See Also:
    `IExtendedDataElement.getId()`

### getName

    public java.lang.String getName()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Returns the name. The name of the extended data element. This name MUST be unique with respect to all other fields in the event.This is a REQUIRED property.

  Specified by:
    `getName` in interface `IExtendedDataElement`
  Returns:
    String
  See Also:
    `IExtendedDataElement.getName()`

### getTypeValue

    public int getTypeValue()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Returns the type as one of the enumerated type values defined in IExtendedDataElement.

  Specified by:
    `getTypeValue` in interface `IExtendedDataElement`
  Returns:
    int
  See Also:
    `IExtendedDataElement.getTypeValue()`

### getType

    public java.lang.String getType()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Returns the type. The data type of the values specified in the values property below. Valid types are as follows: 1. byte 2. short 3. int 4. long 5. float 6. double 7. string 8. dateTime 9. duration 10. byteArray 11. shortArray 12. intArray 13. longArray 14. floatArray 15. doubleArray 16. stringArray 17. dateTimeArray 18. durationArray 19. hexBinary The above data types are the only valid types supported by the ExtendedDataElement type. The default value is 'string'.

  Specified by:
    `getType` in interface `IExtendedDataElement`
  Returns:
    String
  See Also:
    `IExtendedDataElement.getType()`

### setId

    public void setId(java.lang.String id)

  Deprecated. Not required for CBE 1.0.1.

  Description copied from interface: `IExtendedDataElement`
  Sets the id. The primary identifier for the element. This property MUST be globally unique. The recommend value for this is either a 128 bit or 256 bit Globally Unique Id (represented as hex string). Once this value is set it MUST never be changed. This is an OPTIONAL property.

  Specified by:
    `setId` in interface `IExtendedDataElement`
  Parameters:
    `id` - The id to set
  See Also:
    `IExtendedDataElement.setId(String)`

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Sets the name. The name of the extended data element. This name MUST be unique with respect to all other fields in the event.This is a REQUIRED property.

  Specified by:
    `setName` in interface `IExtendedDataElement`
  Parameters:
    `name` - The name to set
  See Also:
    `IExtendedDataElement.setName(String)`

### setType

    public void setType(int type)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Sets the type. From one of the enumerated values defined in IExtendedDataElement

  Specified by:
    `setType` in interface `IExtendedDataElement`
  Parameters:
    `type` - The type to set
  See Also:
    `IExtendedDataElement.setType(int)`

### setType

    public void setType(java.lang.String type)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Sets the type. The data type of the values specified in the values property below. Valid types are as follows: 1. byte 2. short 3. int 4. long 5. float 6. double 7. string 8. dateTime 9. duration 10. byteArray 11. shortArray 12. intArray 13. longArray 14. floatArray 15. doubleArray 16. stringArray 17. dateTimeArray 18. durationArray 19. hexBinary The above data types are the only valid types supported by the ExtendedDataElement type. The default value is 'string'.

  Specified by:
    `setType` in interface `IExtendedDataElement`
  Parameters:
    `type` - The type to set
  See Also:
    `IExtendedDataElement.setType(String)`

### setValues

    public void setValues(java.lang.String[] values)

  Deprecated.
  Sets the value.

  Specified by:
    `setValues` in interface `IExtendedDataElement`

### setHexValues

    public void setHexValues(char[] hexValues)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  The hexValue is an array of characters that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

  Specified by:
    `setHexValues` in interface `IExtendedDataElement`

### setHexValue

    public void setHexValue(byte[] hexValue)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

  Specified by:
    `setHexValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setHexValue(byte[])`

### getString

    public java.lang.String getString()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the string value for this extended data element. The method is only valid if the extended data element is a String. Otherwise an exception is thrown.

  Specified by:
    `getString` in interface `IExtendedDataElement`
  Returns:
    String
  See Also:
    `IExtendedDataElement.getString()`

### getBoolean

    public boolean getBoolean()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the boolean value for this extended data element. The method is only valid if the extended data element is a boolean. Otherwise an exception is thrown.

  Specified by:
    `getBoolean` in interface `IExtendedDataElement`
  Returns:
    boolean
  See Also:
    `IExtendedDataElement.getBoolean()`

### getByte

    public byte getByte()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the byte value for this extended data element. The method is only valid if the extended data element is a byte. Otherwise an exception is thrown.

  Specified by:
    `getByte` in interface `IExtendedDataElement`
  Returns:
    byte
  See Also:
    `IExtendedDataElement.getByte()`

### getShort

    public short getShort()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the short value for this extended data element. The method is only valid if the extended data element is a short. Otherwise an exception is thrown.

  Specified by:
    `getShort` in interface `IExtendedDataElement`
  Returns:
    short
  See Also:
    `IExtendedDataElement.getShort()`

### getInt

    public int getInt()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the int value for this extended data element. The method is only valid if the extended data element is a int. Otherwise an exception is thrown.

  Specified by:
    `getInt` in interface `IExtendedDataElement`
  Returns:
    int
  See Also:
    `IExtendedDataElement.getInt()`

### getLong

    public long getLong()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the long value for this extended data element. The method is only valid if the extended data element is a long. Otherwise an exception is thrown.

  Specified by:
    `getLong` in interface `IExtendedDataElement`
  Returns:
    long
  See Also:
    `IExtendedDataElement.getLong()`

### getFloat

    public float getFloat()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the float value for this extended data element. The method is only valid if the extended data element is a float. Otherwise an exception is thrown.

  Specified by:
    `getFloat` in interface `IExtendedDataElement`
  Returns:
    float
  See Also:
    `IExtendedDataElement.getFloat()`

### getDouble

    public double getDouble()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the double value for this extended data element. The method is only valid if the extended data element is a double. Otherwise an exception is thrown.

  Specified by:
    `getDouble` in interface `IExtendedDataElement`
  Returns:
    double
  See Also:
    `IExtendedDataElement.getDouble()`

### getStringArray

    public java.lang.String[] getStringArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the string[] value for this extended data element. The method is only valid if the event property is a String[]. Otherwise an exception is thrown.

  Specified by:
    `getStringArray` in interface `IExtendedDataElement`
  Returns:
    String[]
  See Also:
    `IExtendedDataElement.getStringArray()`

### getDateTimeAsLong

    public long getDateTimeAsLong()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the dateTime value as a long holding UTC millisecondsfor this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Specified by:
    `getDateTimeAsLong` in interface `IExtendedDataElement`
  Returns:
    long
  See Also:
    `IExtendedDataElement.getDateTimeAsLong()`

### getDateTime

    public java.lang.String getDateTime()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the dateTime value for this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Specified by:
    `getDateTime` in interface `IExtendedDataElement`
  Returns:
    String
  See Also:
    `IExtendedDataElement.getDateTime()`

### getDateTimeArrayAsLong

    public long[] getDateTimeArrayAsLong()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the dateTime[] value as a long[] holding UTC millisecondsfor this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Specified by:
    `getDateTimeArrayAsLong` in interface `IExtendedDataElement`
  Returns:
    long[]
  See Also:
    `IExtendedDataElement.getDateTimeArrayAsLong()`

### getDateTimeArray

    public java.lang.String[] getDateTimeArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the dateTime[] value for this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Specified by:
    `getDateTimeArray` in interface `IExtendedDataElement`
  Returns:
    String[]
  See Also:
    `IExtendedDataElement.getDateTimeArray()`

### getBooleanArray

    public boolean[] getBooleanArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the boolean value for this extended data element. The method is only valid if the extended data element is a boolean[]. Otherwise an exception is thrown.

  Specified by:
    `getBooleanArray` in interface `IExtendedDataElement`
  Returns:
    boolean[]
  See Also:
    `IExtendedDataElement.getBooleanArray()`

### getByteArray

    public byte[] getByteArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the byte value for this extended data element. The method is only valid if the extended data element is a byte[]. Otherwise an exception is thrown.

  Specified by:
    `getByteArray` in interface `IExtendedDataElement`
  Returns:
    byte[]
  See Also:
    `IExtendedDataElement.getByteArray()`

### getShortArray

    public short[] getShortArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the short[] value for this extended data element. The method is only valid if the extended data element is a short[]. Otherwise an exception is thrown.

  Specified by:
    `getShortArray` in interface `IExtendedDataElement`
  Returns:
    short[]
  See Also:
    `IExtendedDataElement.getShortArray()`

### getIntArray

    public int[] getIntArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the int[] value for this extended data element. The method is only valid if the extended data element is a int[]. Otherwise an exception is thrown.

  Specified by:
    `getIntArray` in interface `IExtendedDataElement`
  Returns:
    int[]
  See Also:
    `IExtendedDataElement.getIntArray()`

### getLongArray

    public long[] getLongArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the long[] value for this extended data element. The method is only valid if the extended data element is a long[]. Otherwise an exception is thrown.

  Specified by:
    `getLongArray` in interface `IExtendedDataElement`
  Returns:
    long[]
  See Also:
    `IExtendedDataElement.getLongArray()`

### getFloatArray

    public float[] getFloatArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the float[] value for this extended data element. The method is only valid if the extended data element is a float[]. Otherwise an exception is thrown.

  Specified by:
    `getFloatArray` in interface `IExtendedDataElement`
  Returns:
    float[]
  See Also:
    `IExtendedDataElement.getFloatArray()`

### getDoubleArray

    public double[] getDoubleArray()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the double[] value for this extended data element. The method is only valid if the extended data element is a double[]. Otherwise an exception is thrown.

  Specified by:
    `getDoubleArray` in interface `IExtendedDataElement`
  Returns:
    double[]
  See Also:
    `IExtendedDataElement.getDoubleArray()`

### getHexValues

    public char[] getHexValues()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

  Specified by:
    `getHexValues` in interface `IExtendedDataElement`
  Returns:
    char[]
  See Also:
    `IExtendedDataElement.getHexValues()`

### getHexBinarys

    public char[] getHexBinarys()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Specified by:
    `getHexBinarys` in interface `IExtendedDataElement`
  Returns:
    char[]
  See Also:
    `IExtendedDataElement.getHexBinarys()`

### getHexValue

    public byte[] getHexValue()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

  Specified by:
    `getHexValue` in interface `IExtendedDataElement`
  Returns:
    byte[]
  See Also:
    `IExtendedDataElement.getHexValue()`

### getHexBinary

    public byte[] getHexBinary()

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Get the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Specified by:
    `getHexBinary` in interface `IExtendedDataElement`
  Returns:
    byte[]
  See Also:
    `IExtendedDataElement.getHexBinary()`

### setString

    public void setString(java.lang.String value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the string value for this extended data element. The method is only valid if the extended data element is a string. Otherwise an exception is thrown.

  Specified by:
    `setString` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setString(String)`

### setDateTime

    public void setDateTime(long value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the long value for this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Specified by:
    `setDateTime` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setDateTime(long)`

### setDateTime

    public void setDateTime(java.lang.String value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the dateTime value for this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Specified by:
    `setDateTime` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set* @param String the value to set
  See Also:
    `IExtendedDataElement.setDateTime(String)`

### setBoolean

    public void setBoolean(boolean value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the boolean value for this extended data element. The method is only valid if the extended data element is a boolean. Otherwise an exception is thrown.

  Specified by:
    `setBoolean` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setBoolean(boolean)`

### setByte

    public void setByte(byte value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the byte value for this extended data element. The method is only valid if the extended data element is a byte. Otherwise an exception is thrown.

  Specified by:
    `setByte` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setByte(byte)`

### setShort

    public void setShort(short value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the short value for this extended data element. The method is only valid if the extended data element is a short. Otherwise an exception is thrown.

  Specified by:
    `setShort` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setShort(short)`

### setInt

    public void setInt(int value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the int value for this extended data element. The method is only valid if the extended data element is a int. Otherwise an exception is thrown.

  Specified by:
    `setInt` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setInt(int)`

### setLong

    public void setLong(long value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the long value for this extended data element. The method is only valid if the extended data element is a long. Otherwise an exception is thrown.

  Specified by:
    `setLong` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setLong(long)`

### setFloat

    public void setFloat(float value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the float value for this extended data element. The method is only valid if the extended data element is a float. Otherwise an exception is thrown.

  Specified by:
    `setFloat` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setFloat(float)`

### setDouble

    public void setDouble(double value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the double value for this extended data element. The method is only valid if the extended data element is a double. Otherwise an exception is thrown.

  Specified by:
    `setDouble` in interface `IExtendedDataElement`
  Parameters:
    `value` - the value to set
  See Also:
    `IExtendedDataElement.setDouble(double)`

### setStringArray

    public void setStringArray(java.lang.String[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the String[] value for this extended data element. The method is only valid if the extended data element is a String[]. Otherwise an exception is thrown.

  Specified by:
    `setStringArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setStringArray(String[])`

### setDateTimeArray

    public void setDateTimeArray(long[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the long[] value for this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Specified by:
    `setDateTimeArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setDateTimeArray(long[])`

### setDateTimeArray

    public void setDateTimeArray(java.lang.String[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the dateTime value for this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Specified by:
    `setDateTimeArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setDateTimeArray(String[])`

### setBooleanArray

    public void setBooleanArray(boolean[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the boolean[] value for this extended data element. The method is only valid if the extended data element is a boolean[]. Otherwise an exception is thrown.

  Specified by:
    `setBooleanArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setBooleanArray(boolean[])`

### setByteArray

    public void setByteArray(byte[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the byte[] value for this extended data element. The method is only valid if the extended data element is a byte[]. Otherwise an exception is thrown.

  Specified by:
    `setByteArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setByteArray(byte[])`

### setShortArray

    public void setShortArray(short[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the short[] value for this extended data element. The method is only valid if the extended data element is a short[]. Otherwise an exception is thrown.

  Specified by:
    `setShortArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setShortArray(short[])`

### setIntArray

    public void setIntArray(int[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the int[] value for this extended data element. The method is only valid if the extended data element is a int[]. Otherwise an exception is thrown.

  Specified by:
    `setIntArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setIntArray(int[])`

### setLongArray

    public void setLongArray(long[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the long[] value for this extended data element. The method is only valid if the extended data element is a long[]. Otherwise an exception is thrown.

  Specified by:
    `setLongArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setLongArray(long[])`

### setFloatArray

    public void setFloatArray(float[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the float[] value for this extended data element. The method is only valid if the extended data element is a float[]. Otherwise an exception is thrown.

  Specified by:
    `setFloatArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setFloatArray(float[])`

### setDoubleArray

    public void setDoubleArray(double[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the double[] value for this extended data element. The method is only valid if the extended data element is a double[]. Otherwise an exception is thrown.

  Specified by:
    `setDoubleArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setDoubleArray(double[])`

### setHexBinarys

    public void setHexBinarys(char[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Specified by:
    `setHexBinarys` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setHexBinarys(char[])`

### setHexBinary

    public void setHexBinary(byte[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Set the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Specified by:
    `setHexBinary` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.setHexBinary(byte[])`

### clearValues

    public void clearValues()

  Deprecated. Use the init() as of 1.0.1.

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `IExtendedDataElement`
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different objects are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         int type,
                                         java.lang.String value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChild` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChild(java.lang.String, int, java.lang.String)`

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         int type,
                                         java.lang.String[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChild` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChild(java.lang.String, int, java.lang.String[])`

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         java.lang.String value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChild` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChild(java.lang.String, java.lang.String)`

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         java.lang.String[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChild` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChild(java.lang.String, java.lang.String[])`

### addChild

    public IExtendedDataElement addChild(java.lang.String name)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChild` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChild(java.lang.String)`

### addChildWithBooleanArrayValue

    public IExtendedDataElement addChildWithBooleanArrayValue(java.lang.String name,
                                                              boolean[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithBooleanArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithBooleanArrayValue(java.lang.String, boolean[])`

### addChildWithBooleanValue

    public IExtendedDataElement addChildWithBooleanValue(java.lang.String name,
                                                         boolean value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithBooleanValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithBooleanValue(java.lang.String, boolean)`

### addChildWithByteArrayValue

    public IExtendedDataElement addChildWithByteArrayValue(java.lang.String name,
                                                           byte[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithByteArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithByteArrayValue(java.lang.String, byte[])`

### addChildWithByteValue

    public IExtendedDataElement addChildWithByteValue(java.lang.String name,
                                                      byte value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithByteValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithByteValue(java.lang.String, byte)`

### addChildWithDateArrayValue

    public IExtendedDataElement addChildWithDateArrayValue(java.lang.String name,
                                                           java.lang.String[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithDateArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithDateArrayValue(java.lang.String, java.lang.String[])`

### addChildWithDateAsLongValue

    public IExtendedDataElement addChildWithDateAsLongValue(java.lang.String name,
                                                            long value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithDateAsLongValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithDateAsLongValue(java.lang.String, long)`

### addChildWithDatesAsLongValue

    public IExtendedDataElement addChildWithDatesAsLongValue(java.lang.String name,
                                                             long[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithDatesAsLongValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithDatesAsLongValue(java.lang.String, long[])`

### addChildWithDateValue

    public IExtendedDataElement addChildWithDateValue(java.lang.String name,
                                                      java.lang.String value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithDateValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithDateValue(java.lang.String, java.lang.String)`

### addChildWithDoubleArrayValue

    public IExtendedDataElement addChildWithDoubleArrayValue(java.lang.String name,
                                                             double[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithDoubleArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithDoubleArrayValue(java.lang.String, double[])`

### addChildWithDoubleValue

    public IExtendedDataElement addChildWithDoubleValue(java.lang.String name,
                                                        double value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithDoubleValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithDoubleValue(java.lang.String, double)`

### addChildWithFloatArrayValue

    public IExtendedDataElement addChildWithFloatArrayValue(java.lang.String name,
                                                            float[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithFloatArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithFloatArrayValue(java.lang.String, float[])`

### addChildWithFloatValue

    public IExtendedDataElement addChildWithFloatValue(java.lang.String name,
                                                       float value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithFloatValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithFloatValue(java.lang.String, float)`

### addChildWithHexValue

    public IExtendedDataElement addChildWithHexValue(java.lang.String name,
                                                     java.lang.String value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithHexValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithHexValue(java.lang.String, java.lang.String)`

### addChildWithHexValueAsByteArray

    public IExtendedDataElement addChildWithHexValueAsByteArray(java.lang.String name,
                                                                byte[] value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithHexValueAsByteArray` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithHexValueAsByteArray(java.lang.String, byte[])`

### addChildWithIntArrayValue

    public IExtendedDataElement addChildWithIntArrayValue(java.lang.String name,
                                                          int[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithIntArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithIntArrayValue(java.lang.String, int[])`

### addChildWithIntValue

    public IExtendedDataElement addChildWithIntValue(java.lang.String name,
                                                     int value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithIntValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithIntValue(java.lang.String, int)`

### addChildWithLongArrayValue

    public IExtendedDataElement addChildWithLongArrayValue(java.lang.String name,
                                                           long[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithLongArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithLongArrayValue(java.lang.String, long[])`

### addChildWithLongValue

    public IExtendedDataElement addChildWithLongValue(java.lang.String name,
                                                      long value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithLongValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithLongValue(java.lang.String, long)`

### addChildWithShortArrayValue

    public IExtendedDataElement addChildWithShortArrayValue(java.lang.String name,
                                                            short[] values)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithShortArrayValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithShortArrayValue(java.lang.String, short[])`

### addChildWithShortValue

    public IExtendedDataElement addChildWithShortValue(java.lang.String name,
                                                       short value)

  Deprecated.
  Description copied from interface: `IExtendedDataElement`
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Specified by:
    `addChildWithShortValue` in interface `IExtendedDataElement`
  See Also:
    `IExtendedDataElement.addChildWithShortValue(java.lang.String, short)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD